SUSE SLED10 / SLES10 Security Update : Samba (SUSE-SU-2013:0325-1)

Medium Nessus Plugin ID 83575


The remote SUSE host is missing one or more security updates.


The Samba Web Administration Tool (SWAT) in Samba versions 3.0.x to 4.0.1 was affected by a cross-site request forgery (CVE-2013-0214) and a click-jacking attack (CVE-2013-0213). This has been fixed.

Additionally a bug in mount.cifs has been fixed which could have lead to file disclosure (CVE-2012-1586).

Also a uninitialized memory read bug in talloc_free() has been fixed.

Note that Tenable Network Security has extracted the preceding description block directly from the SUSE security advisory. Tenable has attempted to automatically clean and format it as much as possible without introducing additional issues.


Update the affected Samba packages

See Also

Plugin Details

Severity: Medium

ID: 83575

File Name: suse_SU-2013-0325-1.nasl

Version: $Revision: 2.1 $

Type: local

Agent: unix

Published: 2015/05/20

Modified: 2015/05/20

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 5.1

Temporal Score: 4.4

Vector: CVSS2#AV:N/AC:H/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:ND/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:novell:suse_linux:cifs-mount, p-cpe:/a:novell:suse_linux:ldapsmb, p-cpe:/a:novell:suse_linux:libmsrpc, p-cpe:/a:novell:suse_linux:libmsrpc-devel, p-cpe:/a:novell:suse_linux:libsmbclient, p-cpe:/a:novell:suse_linux:libsmbclient-devel, p-cpe:/a:novell:suse_linux:samba, p-cpe:/a:novell:suse_linux:samba-client, p-cpe:/a:novell:suse_linux:samba-krb-printing, p-cpe:/a:novell:suse_linux:samba-python, p-cpe:/a:novell:suse_linux:samba-vscan, p-cpe:/a:novell:suse_linux:samba-winbind, cpe:/o:novell:suse_linux:10

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2013/02/22

Reference Information

CVE: CVE-2012-1586, CVE-2013-0213, CVE-2013-0214

BID: 52742, 53246, 57631